Prérequis

Serveur Web

Étant donné que l’interface de phpMyAdmin est entièrement orientée navigateur, vous devrez avoir à votre disposition un serveur web (tels Apache, nginx, IIS) sur lequel installer les fichiers de phpMyAdmin.

PHP

  • Il y a besoin de PHP 5.5.0 ou ultérieur avec la prise en charge de session, l’extension Standard PHP Library (SPL) et la gestion de JSON.
  • L’extension mbstring (voir mbstring) est fortement recommandée pour des raisons de performances.
  • Pour pouvoir télécharger des fichiers ZIP vers le serveur, vous avez besoin de l’extension PHP zip.
  • Vous avez besoin du module GD2 dans PHP pour afficher des vignettes intégrées de fichiers JPEG (« image/jpeg:inline ») avec le rapport hauteur / largeur original.
  • Pour utiliser la méthode d’authentification par « cookie » (par défaut), l’extension openssl est fortement recommandée.
  • Pour le support de la barre de progression lors du téléchargement des fichiers vers le serveur, voir 2.9 Afficher les barres de progression d’upload.
  • Pour gérer l’importation de XML et de feuille de tableur Open Document, vous avez besoin de l’extension libxml.
  • Pour supporter reCAPTCHA, vous avez besoin de l’extension openssl.
  • Pour gérer l’affichage de la dernière version de phpMyAdmin, vous devez activer allow_url_open dans votre fichier php.ini ou avoir l’extension curl.

Base de données

phpMyAdmin prend en charge les bases de données compatibles MySQL.

  • MySQL 5.5 ou supérieur
  • MariaDB 5.5 ou supérieur

Navigateur

Pour accéder à phpMyAdmin, vous devez utiliser un navigateur acceptant les cookies et exécutant le JavaScript.

Vous devez avoir un navigateur qui gère jQuery 2.0, voir <https://jquery.com/browser-support/>.